<template>
  <div class="card">
    <router-link :to="`/image/${image.id}`" class="card-image">
      <figure class="image is-4by3">
        <img :src="imageUrl" :alt="image.title">
      </figure>
    </router-link>
    <div class="card-content">
      <router-link :to="`/users/${image.user.username}`" class="media">
        <div class="media-left">
          <figure class="image is-48x48">
            <img :src="profileImageUrl" :alt="`${image.user.firstname} ${image.user.lastname}`">
          </figure>
        </div>
        <div class="media-content">
          <p class="title is-4">{{ image.user.firstname }} {{ image.user.lastname }}</p>
          <p class="subtitle is-6">@{{ image.user.username }}</p>
        </div>
      </router-link>

      <div class="content">
        <p><strong>{{image.title}}</strong> - {{ image.description }}</p>
        <b-taglist>
          <b-tag v-for="(tag, index) in image.tags" :key="index" type="is-primary">{{tag}}</b-tag>
        </b-taglist>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: { image: Object },
  computed: {
    imageUrl () {
      return `${this.$store.state.cloudinary}/w_400,h_300,c_fill,f_auto,q_auto/${this.image.path}`
    },
    profileImageUrl () {
      return `${this.$store.state.cloudinary}/w_80,h_80,c_thumb,g_face,f_auto,q_auto/${this.image.user.profileImage}`
    }
  }
}
</script>

<style lang="scss" scoped>
  .card {
    margin-bottom: 2rem;
  }
</style>
